## com.gargoylesoftware.htmlunit
Interface ConfirmHandler

    public interface ConfirmHandler

A handler for the JavaScript function `window.confirm()`. Confirms are triggered when the JavaScript function `window.confirm()` is invoked.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler

Method Summary
`boolean` `handleConfirm(Page page, java.lang.String message)` Handles a confirm for the specified page.

Method Detail

### handleConfirm

    boolean handleConfirm(Page page,
                          java.lang.String message)

  Handles a confirm for the specified page.

  Parameters:
    `page` - the page on which the confirm occurred
    `message` - the message in the confirm
  Returns:
    `true` if we are simulating clicking the OK button, `false` if we are simulating clicking the Cancel button

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.